Межсайтовый скриптинг в Tikiwiki

Дата публикации:
28.08.2007
Дата изменения:
24.03.2009
Всего просмотров:
940
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-4554
CVE-2007-5683
CVE-2007-5684
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Tikiwiki 1.x
Уязвимые версии: Tikiwiki 1.9.7, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "username" в сценарии tiki-remind_password.php (когда опция "remind" установлена в "send me my password"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: tikiwiki.org

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

или введите имя

CAPTCHA